| GL Studio C++ Runtime API

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
GlsSerialMorphMesh::KeyframeDataArray Class Reference

`#include <gls_serial_morph_mesh.h>`

## Public Member Functions
void | Count (unsigned count)
unsigned | Count () const
void | Clear ()
| Clear all elements in the array.
Keyframe_Data & | operator[] (const std::size_t index)
const Keyframe_Data & | operator[] (const std::size_t index) const

## Static Public Member Functions
static void | element_read_func (int index, KeyframeDataArray &array, std::istream &instr)
static void | element_write_func (int index, KeyframeDataArray &array, std::ostream &outstr)

## Public Attributes
GlsSerialMorphMesh * | _parentMesh
| Observing pointer to the GlsSerialMorphMesh object.

## Detailed Description

The KeyframeDataArray class. Holds multiple Keyframe_Data instances.

## Member Function Documentation

## ◆ Count() [1/2]

unsigned Count | ( |  | ) | const
| inline

Returns
  The number of elements in the array.

## ◆ Count() [2/2]

void Count | ( | unsigned | count | ) |
| inline

Set the number of elements in the array, it will resize accordingly.

Parameters

  count | The new number of elements to resize to.

## ◆ element_read_func()

static void element_read_func | ( | int | index,
|  | KeyframeDataArray & | array,
|  | std::istream & | instr
| ) |  |
| static

Read an item from the stream into a KeyFrame.

Parameters

  index | The index to write into.
  array | The array to write into.
  instr | The stream to read from.

## ◆ element_write_func()

static void element_write_func | ( | int | index,
|  | KeyframeDataArray & | array,
|  | std::ostream & | outstr
| ) |  |
| static

Write an item from a KeyFrame into the stream.

Parameters

  index | The index to read from.
  array | The array to read from.
  outstr | The stream to write to.

## ◆ operator[]() [1/2]

Keyframe_Data & operator[] | ( | const std::size_t | index | ) |
| inline

Index operator

Parameters

  index | The index of the item to return.

Returns
  A modifiable reference to the desired item.

## ◆ operator[]() [2/2]

const Keyframe_Data & operator[] | ( | const std::size_t | index | ) | const
| inline

Index operator

Parameters

  index | The index of the item to return.

Returns
  A const reference to the desired item.

The documentation for this class was generated from the following file:

- gls_serial_morph_mesh.h